# wxDialogLayoutAdapter Class Reference
[Window Layout]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dialog.h>`

## Detailed Description

This abstract class is the base for classes that help wxWidgets perform run-time layout adaptation of dialogs.

Principally, this is to cater for small displays by making part of the dialog scroll, but the application developer may find other uses for layout adaption.

By default, there is one instance of wxStandardDialogLayoutAdapter which can perform adaptation for most custom dialogs and dialogs with book controls such as wxPropertySheetDialog.

##

Library: wxCore
Category: Window Layout

See also:
  Automatic scrolling dialogs

## Public Member Functions

| wxDialogLayoutAdapter ()
| Default constructor.
virtual bool | CanDoLayoutAdaptation (wxDialog *dialog)=0
| Override this to returns true if adaptation can and should be done.
virtual bool | DoLayoutAdaptation (wxDialog *dialog)=0
| Override this to perform layout adaptation, such as making parts of the dialog scroll and resizing the dialog to fit the display.

List of all members.

## Constructor & Destructor Documentation

wxDialogLayoutAdapter::wxDialogLayoutAdapter | ( |  | ) |

Default constructor.

## Member Function Documentation

virtual bool wxDialogLayoutAdapter::CanDoLayoutAdaptation | ( | wxDialog * | dialog | ) | `[pure virtual]`

Override this to returns true if adaptation can and should be done.

virtual bool wxDialogLayoutAdapter::DoLayoutAdaptation | ( | wxDialog * | dialog | ) | `[pure virtual]`

Override this to perform layout adaptation, such as making parts of the dialog scroll and resizing the dialog to fit the display.

Normally this function will be called just before the dialog is shown.

|  | [ top ]